Name:          annox
Version:       0.5.0
Release:       %mkrel 6
Summary:       Java annotations in XML resources
License:       BSD
Group:         Development/Java

Url:           http://java.net/projects/annox
# svn export https://svn.java.net/svn/annox~svn/tags/0.5.0 annox-0.5.0
# tar czf annox-0.5.0-src-svn.tar.gz annox-0.5.0
Source0:       annox-0.5.0-src-svn.tar.gz
# from http://confluence.highsource.org/display/ANX/License
# annox package don't include the license file
# but annox developers allowed us to redistribute their
# work only if we include this notice. So we HAVE TO include these notices.
Source1:       annox-LICENSE

BuildRequires: java-devel
BuildRequires: sonatype-oss-parent

BuildRequires: ant
BuildRequires: apache-commons-lang
BuildRequires: glassfish-jaxb
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin

BuildArch:     noarch

%description
Annox is an open source project which allows you to
read arbitrary Java annotations from XML resources.
JAXB users may be interested in Annox annotation
reader for JAXB RI which allows you to define JAXB 
Java/XML mappings in XML resources (instead of
annotations).

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find \( -name '*.jar' -o -name '*.class' -o -name '*.bat' \) -exec rm -f '{}' \;

%pom_disable_module samples

%pom_xpath_remove "pom:project/pom:build/pom:pluginManagement/pom:plugins/pom:plugin[pom:artifactId='maven-antrun-plugin']/pom:dependencies/pom:dependency[pom:artifactId='ant-optional']"
%pom_xpath_inject "pom:project/pom:build/pom:pluginManagement/pom:plugins/pom:plugin[pom:artifactId='maven-antrun-plugin']/pom:dependencies" "
<dependency>
  <groupId>org.apache.ant</groupId>
  <artifactId>ant</artifactId>
  <version>1.8.2</version>
</dependency>"

%pom_remove_dep org.hibernate:hibernate-search
%pom_remove_dep org.hibernate:hibernate-search core

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%build

%mvn_file :%{name} %{name}
# unavailable deps for run test: org.hibernate hibernate-search 3.0.0.GA
%mvn_build -f
  
%install
%mvn_install

%files -f .mfiles
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.5.0-6.mga4
+ Revision: 545545
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 0.5.0-5.mga4
+ Revision: 501379
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 0.5.0-4.mga3
+ Revision: 345570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 dmorgan <dmorgan> 0.5.0-3.mga3
+ Revision: 311250
- Java Stack Mass Rebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 0.5.0-2.mga3
+ Revision: 262896
- Sync with fedora spec file

* Sat Oct 29 2011 gil <gil> 0.5.0-1.mga2
+ Revision: 159554
- imported package annox

